## org.apache.axis.encoding.ser
Class BeanSerializerFactory

    java.lang.Object
      |
      +--org.apache.axis.encoding.ser.BaseFactory
            |
            +--org.apache.axis.encoding.ser.BaseSerializerFactory
                  |
                  +--org.apache.axis.encoding.ser.BeanSerializerFactory

All Implemented Interfaces:
  java.io.Serializable, SerializerFactory, SerializerFactory

public class BeanSerializerFactory
extends BaseSerializerFactory

SerializerFactory for Bean

Author:
  Rich Scheuerle <scheu@us.ibm.com>
See Also:
  Serialized Form

Field Summary
`protected BeanPropertyDescriptor[]` `propertyDescriptor`
`protected TypeDesc` `typeDesc`

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, ser, serClass, serClassConstructor, xmlType`

Fields inherited from class org.apache.axis.encoding.ser.BaseFactory
`methodCache`

Constructor Summary
`BeanSerializerFactory(java.lang.Class javaType, QName xmlType)`

Method Summary
`protected Serializer` `getGeneralPurpose(java.lang.String mechanismType)` Optimize construction of a BeanSerializer by caching the type and property descriptors.
`Serializer` `getSerializerAs(java.lang.String mechanismType)` Returns a Serializer for the specified XML processing mechanism type.

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeDesc

    protected TypeDesc typeDesc

### propertyDescriptor

    protected BeanPropertyDescriptor[] propertyDescriptor

Constructor Detail

### BeanSerializerFactory

    public BeanSerializerFactory(java.lang.Class javaType,
                                 QName xmlType)

Method Detail

### getSerializerAs

    public Serializer getSerializerAs(java.lang.String mechanismType)
                               throws JAXRPCException

  Description copied from interface: `SerializerFactory`
  Returns a Serializer for the specified XML processing mechanism type.

  Specified by:
    `getSerializerAs` in interface `SerializerFactory`
  Overrides:
    `getSerializerAs` in class `BaseSerializerFactory`
  Parameters:
    `mechanismType` - - XML processing mechanism type [TBD: definition of valid constants]
  Returns:
    a Serializer for the specified XML processing mechanism type.
    `JAXRPCException`

### getGeneralPurpose

    protected Serializer getGeneralPurpose(java.lang.String mechanismType)

  Optimize construction of a BeanSerializer by caching the type and property descriptors.

  Overrides:
    `getGeneralPurpose` in class `BaseSerializerFactory`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.